Overview

The Angular Spline Range Area Chart is used to display continuous data points as a set of splines that vary between high and low values over intervals of time and across different categories.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The Angular Spline Range Area Chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color and border of the Angular Spline Range Area Chart using built-in APIs.


Zoom and pan

Enable zooming and panning support when dealing with large amounts of data to visualize a data point in any region.


Angular Spline Range Area Chart Code Example

Easily get started with Angular Spline Range Area using a few simple lines of JS code, as demonstrated below. Also explore our Angular Spline Range Area Chart Example that shows you how to render and configure the spline range area chart component.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='SplineRangeArea' xName='x' yName='y'> </e-series>
</e-series-collection>
</ejs-chart>
import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
                { x: 'Sun', y: 15 }, { x: 'Mon', y: 22 },
                { x: 'Tue', y: 32 },
                { x: 'Wed', y: 31 },
                { x: 'Thu', y: 29 }, { x: 'Fri', y: 24 },
                { x: 'Sat', y: 18 },
            ];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { SplineRangeAreaSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ SplineRangeAreaSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Spline Range Area Chart User Guide

Learn the available options to customize Angular spline range area chart.

API

Spline Range Area Chart API Reference

Explore the Angular spline range area chart APIs.


140+ ANGULAR UI COMPONENTS

Scroll up icon
Syncfusion Feedback

Overview

The React Spline Range Area Chart is used to display continuous data points as a set of splines that vary between high and low values over intervals of time and across different categories.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The React Spline Range Area Chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color and border of the React Spline Range Area Chart using built-in APIs.


Zoom and pan

Enable zooming and panning support when dealing with large amounts of data to visualize a data point in any region.


React Spline Range Area Chart Code Example

Easily get started with React Spline Range Area using a few simple lines of JS code, as demonstrated below. Also explore our React Spline Range Area Chart Example that shows you how to render and configure the spline range area chart component.

import {AxisModel,Category,ChartComponent,Inject,SeriesCollectionDirective, SeriesDirective, SplineRangeAreaSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data: any[]= [
    { x: 'Sun', y: 15 }, { x: 'Mon', y: 22 },
    { x: 'Tue', y: 32 },
    { x: 'Wed', y: 31 },
    { x: 'Thu', y: 29 }, { x: 'Fri', y: 24 },
    { x: 'Sat', y: 18 },
];
  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[SplineRangeAreaSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data} xName='x' yName='y' type='SplineRangeArea'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Spline Range Area Chart User Guide

Learn the available options to customize React spline range area chart.

API

Spline Range Area Chart API Reference

Explore the React spline range area chart APIs.


Explore all Syncfusion React components

Explore over 140+ React UI components featuring established, and production-ready controls built for modern web app development.

Scroll up icon
Syncfusion Feedback